Home//Workflows
Workflows
Introduction
Changelog (2.16)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Emails
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Models
Export a workflow configuration by its ID. This endpoint returns the complete workflow definition including its steps, targeting rules, and attributes.
This endpoint is designed for EU Data Act compliance, allowing customers to export their workflow configurations.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/export/workflows/{id}
- The european API serverhttps://api.eu.intercom.io/export/workflows/{id}
- The australian API serverhttps://api.au.intercom.io/export/workflows/{id}
curl -i -X GET \
https://api.intercom.io/export/workflows/12345 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Workflow exported successfully
Response
{ "export_version": "1.0", "exported_at": "2026-01-26T12:00:00Z", "app_id": 12345, "workflow": { "id": "67890", "title": "My Workflow", "description": "A workflow that handles customer inquiries", "trigger_type": "inbound_conversation", "state": "live", "target_channels": [ … ], "preferred_devices": [ … ], "created_at": "2025-06-15T10:30:00Z", "updated_at": "2026-01-20T14:45:00Z", "targeting": {}, "snapshot": {}, "attributes": [], "embedded_rules": [] } }